Prometheus API
Returns metadata about metrics currently scraped from targets
get
/api/prometheus/api/v1/metadataParameters 6
limitqueryMaximum number of metrics to return. When omitted, all metrics are returned.
integerformat
"int64"limit_per_metricqueryMaximum number of metadata entries to return per metric.
integerformat
"int64"metricqueryIf provided, only metadata for this metric name is returned. When omitted, metadata for all metrics is returned.
string
startqueryStart timestamp. Must be provided together with end.
stringformat
"rfc3339 | unix_timestamp"endqueryEnd timestamp. Must be provided together with start.
stringformat
"rfc3339 | unix_timestamp"datasetqueryDataset to query. Defaults to the organization's default dataset.
References Dataset
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
stringpattern
"^[a-zA-Z0-9_-]{3,26}$"bash
Sample request12curl --request GET 'https://api.eu-west-1.aws.dash0.com/api/prometheus/api/v1/metadata' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}"
Responses
Metric metadata keyed by metric name.
References PrometheusMetadataResponse
stringrequired
object
Metric metadata keyed by metric name. Each metric maps to a list of metadata entries.
string[]